org.gnome.gtk

## Interface StatusIcon.PopupMenu

- Enclosing class:
    StatusIcon

      public static interface StatusIcon.PopupMenu

  The signal emitted when the user brings up the context menu of the StatusIcon.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onPopupMenu(StatusIcon source, int button, int activateTime)` The signal emitted when the user right-clicks on the StatusIcon.

- - ### Method Detail

    - #### onPopupMenu

          void onPopupMenu(StatusIcon source,
                         int button,
                         int activateTime)

      The signal emitted when the user right-clicks on the StatusIcon. You're almost certain to want to be bringing up a context menu in that case, so see Menu's `popup()` for details of how to do it.

      The two additional parameters in the handler prototype are described below, but we disregard them and they may be removed in a future version of java-gnome.

      Parameters:
        `button` - the button that was pressed, or 0 if the signal is not emitted in response to a button press event.
        `activateTime` - the timestamp of the event that triggered the signal emission.